#include <bits/stdc++.h>
using namespace std;

int n;

struct slog{

     long zarada;
     double porez;
     long prefix;
     double resenje;

};

 slog influenser[200005];

   bool cmp(slog a,slog b){
         return a.porez>b.porez;
   }
int main(){

    cout << fixed << showpoint;
    cout << setprecision(4);
  cin>>n;
    for(int i=1;i<=n;i++){
     cin>>influenser[i].zarada;
     cin>>influenser[i].porez;
    }

   sort(influenser+1, influenser+n+1, cmp);

   for(int i=1;i<=n;i++){
     influenser[i].prefix=influenser[i-1].prefix+influenser[i].zarada;

   }

   for(int i=1;i<=n;i++){
     influenser[i].resenje=influenser[i].prefix*(influenser[i].porez/100);
   }

   double m=0;
   for(int i=1;i<=n;i++){
     m=max(m,influenser[i].resenje);
   }

   cout<<m<<endl;

  return 0;
}